Index: XIOS/dev/branch_yushan/src/interface/fortran_attr/iinterpolate_domain_attr.F90
===================================================================
--- XIOS/dev/branch_yushan/src/interface/fortran_attr/iinterpolate_domain_attr.F90	(revision 1036)
+++ XIOS/dev/branch_yushan/src/interface/fortran_attr/iinterpolate_domain_attr.F90	(revision 1037)
@@ -12,5 +12,5 @@
 
   SUBROUTINE xios(set_interpolate_domain_attr)  &
-    ( interpolate_domain_id, file, mode, order, renormalize, weight_filename, write_weight )
+    ( interpolate_domain_id, file, order, renormalize )
 
     IMPLICIT NONE
@@ -18,61 +18,43 @@
       CHARACTER(LEN=*), INTENT(IN) ::interpolate_domain_id
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: file
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: mode
       INTEGER  , OPTIONAL, INTENT(IN) :: order
       LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize
       LOGICAL (KIND=C_BOOL) :: renormalize_tmp
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: weight_filename
-      LOGICAL  , OPTIONAL, INTENT(IN) :: write_weight
-      LOGICAL (KIND=C_BOOL) :: write_weight_tmp
 
       CALL xios(get_interpolate_domain_handle) &
       (interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(set_interpolate_domain_attr_hdl_)   &
-      ( interpolate_domain_hdl, file, mode, order, renormalize, weight_filename, write_weight )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(set_interpolate_domain_attr)
 
   SUBROUTINE xios(set_interpolate_domain_attr_hdl)  &
-    ( interpolate_domain_hdl, file, mode, order, renormalize, weight_filename, write_weight )
+    ( interpolate_domain_hdl, file, order, renormalize )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: file
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: mode
       INTEGER  , OPTIONAL, INTENT(IN) :: order
       LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize
       LOGICAL (KIND=C_BOOL) :: renormalize_tmp
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: weight_filename
-      LOGICAL  , OPTIONAL, INTENT(IN) :: write_weight
-      LOGICAL (KIND=C_BOOL) :: write_weight_tmp
 
       CALL xios(set_interpolate_domain_attr_hdl_)  &
-      ( interpolate_domain_hdl, file, mode, order, renormalize, weight_filename, write_weight )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(set_interpolate_domain_attr_hdl)
 
   SUBROUTINE xios(set_interpolate_domain_attr_hdl_)   &
-    ( interpolate_domain_hdl, file_, mode_, order_, renormalize_, weight_filename_, write_weight_  &
-     )
+    ( interpolate_domain_hdl, file_, order_, renormalize_ )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: file_
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: mode_
       INTEGER  , OPTIONAL, INTENT(IN) :: order_
       LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize_
       LOGICAL (KIND=C_BOOL) :: renormalize__tmp
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: weight_filename_
-      LOGICAL  , OPTIONAL, INTENT(IN) :: write_weight_
-      LOGICAL (KIND=C_BOOL) :: write_weight__tmp
 
       IF (PRESENT(file_)) THEN
         CALL cxios_set_interpolate_domain_file &
       (interpolate_domain_hdl%daddr, file_, len(file_))
-      ENDIF
-
-      IF (PRESENT(mode_)) THEN
-        CALL cxios_set_interpolate_domain_mode &
-      (interpolate_domain_hdl%daddr, mode_, len(mode_))
       ENDIF
 
@@ -88,19 +70,8 @@
       ENDIF
 
-      IF (PRESENT(weight_filename_)) THEN
-        CALL cxios_set_interpolate_domain_weight_filename &
-      (interpolate_domain_hdl%daddr, weight_filename_, len(weight_filename_))
-      ENDIF
-
-      IF (PRESENT(write_weight_)) THEN
-        write_weight__tmp = write_weight_
-        CALL cxios_set_interpolate_domain_write_weight &
-      (interpolate_domain_hdl%daddr, write_weight__tmp)
-      ENDIF
-
   END SUBROUTINE xios(set_interpolate_domain_attr_hdl_)
 
   SUBROUTINE xios(get_interpolate_domain_attr)  &
-    ( interpolate_domain_id, file, mode, order, renormalize, weight_filename, write_weight )
+    ( interpolate_domain_id, file, order, renormalize )
 
     IMPLICIT NONE
@@ -108,61 +79,43 @@
       CHARACTER(LEN=*), INTENT(IN) ::interpolate_domain_id
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: file
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: mode
       INTEGER  , OPTIONAL, INTENT(OUT) :: order
       LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize
       LOGICAL (KIND=C_BOOL) :: renormalize_tmp
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: weight_filename
-      LOGICAL  , OPTIONAL, INTENT(OUT) :: write_weight
-      LOGICAL (KIND=C_BOOL) :: write_weight_tmp
 
       CALL xios(get_interpolate_domain_handle) &
       (interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(get_interpolate_domain_attr_hdl_)   &
-      ( interpolate_domain_hdl, file, mode, order, renormalize, weight_filename, write_weight )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(get_interpolate_domain_attr)
 
   SUBROUTINE xios(get_interpolate_domain_attr_hdl)  &
-    ( interpolate_domain_hdl, file, mode, order, renormalize, weight_filename, write_weight )
+    ( interpolate_domain_hdl, file, order, renormalize )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: file
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: mode
       INTEGER  , OPTIONAL, INTENT(OUT) :: order
       LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize
       LOGICAL (KIND=C_BOOL) :: renormalize_tmp
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: weight_filename
-      LOGICAL  , OPTIONAL, INTENT(OUT) :: write_weight
-      LOGICAL (KIND=C_BOOL) :: write_weight_tmp
 
       CALL xios(get_interpolate_domain_attr_hdl_)  &
-      ( interpolate_domain_hdl, file, mode, order, renormalize, weight_filename, write_weight )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(get_interpolate_domain_attr_hdl)
 
   SUBROUTINE xios(get_interpolate_domain_attr_hdl_)   &
-    ( interpolate_domain_hdl, file_, mode_, order_, renormalize_, weight_filename_, write_weight_  &
-     )
+    ( interpolate_domain_hdl, file_, order_, renormalize_ )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: file_
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: mode_
       INTEGER  , OPTIONAL, INTENT(OUT) :: order_
       LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize_
       LOGICAL (KIND=C_BOOL) :: renormalize__tmp
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: weight_filename_
-      LOGICAL  , OPTIONAL, INTENT(OUT) :: write_weight_
-      LOGICAL (KIND=C_BOOL) :: write_weight__tmp
 
       IF (PRESENT(file_)) THEN
         CALL cxios_get_interpolate_domain_file &
       (interpolate_domain_hdl%daddr, file_, len(file_))
-      ENDIF
-
-      IF (PRESENT(mode_)) THEN
-        CALL cxios_get_interpolate_domain_mode &
-      (interpolate_domain_hdl%daddr, mode_, len(mode_))
       ENDIF
 
@@ -178,19 +131,8 @@
       ENDIF
 
-      IF (PRESENT(weight_filename_)) THEN
-        CALL cxios_get_interpolate_domain_weight_filename &
-      (interpolate_domain_hdl%daddr, weight_filename_, len(weight_filename_))
-      ENDIF
-
-      IF (PRESENT(write_weight_)) THEN
-        CALL cxios_get_interpolate_domain_write_weight &
-      (interpolate_domain_hdl%daddr, write_weight__tmp)
-        write_weight_ = write_weight__tmp
-      ENDIF
-
   END SUBROUTINE xios(get_interpolate_domain_attr_hdl_)
 
   SUBROUTINE xios(is_defined_interpolate_domain_attr)  &
-    ( interpolate_domain_id, file, mode, order, renormalize, weight_filename, write_weight )
+    ( interpolate_domain_id, file, order, renormalize )
 
     IMPLICIT NONE
@@ -199,24 +141,18 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: file
       LOGICAL(KIND=C_BOOL) :: file_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: mode
-      LOGICAL(KIND=C_BOOL) :: mode_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: order
       LOGICAL(KIND=C_BOOL) :: order_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize
       LOGICAL(KIND=C_BOOL) :: renormalize_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: weight_filename
-      LOGICAL(KIND=C_BOOL) :: weight_filename_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: write_weight
-      LOGICAL(KIND=C_BOOL) :: write_weight_tmp
 
       CALL xios(get_interpolate_domain_handle) &
       (interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(is_defined_interpolate_domain_attr_hdl_)   &
-      ( interpolate_domain_hdl, file, mode, order, renormalize, weight_filename, write_weight )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(is_defined_interpolate_domain_attr)
 
   SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl)  &
-    ( interpolate_domain_hdl, file, mode, order, renormalize, weight_filename, write_weight )
+    ( interpolate_domain_hdl, file, order, renormalize )
 
     IMPLICIT NONE
@@ -224,23 +160,16 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: file
       LOGICAL(KIND=C_BOOL) :: file_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: mode
-      LOGICAL(KIND=C_BOOL) :: mode_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: order
       LOGICAL(KIND=C_BOOL) :: order_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize
       LOGICAL(KIND=C_BOOL) :: renormalize_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: weight_filename
-      LOGICAL(KIND=C_BOOL) :: weight_filename_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: write_weight
-      LOGICAL(KIND=C_BOOL) :: write_weight_tmp
 
       CALL xios(is_defined_interpolate_domain_attr_hdl_)  &
-      ( interpolate_domain_hdl, file, mode, order, renormalize, weight_filename, write_weight )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl)
 
   SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl_)   &
-    ( interpolate_domain_hdl, file_, mode_, order_, renormalize_, weight_filename_, write_weight_  &
-     )
+    ( interpolate_domain_hdl, file_, order_, renormalize_ )
 
     IMPLICIT NONE
@@ -248,14 +177,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: file_
       LOGICAL(KIND=C_BOOL) :: file__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: mode_
-      LOGICAL(KIND=C_BOOL) :: mode__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: order_
       LOGICAL(KIND=C_BOOL) :: order__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize_
       LOGICAL(KIND=C_BOOL) :: renormalize__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: weight_filename_
-      LOGICAL(KIND=C_BOOL) :: weight_filename__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: write_weight_
-      LOGICAL(KIND=C_BOOL) :: write_weight__tmp
 
       IF (PRESENT(file_)) THEN
@@ -265,10 +188,4 @@
       ENDIF
 
-      IF (PRESENT(mode_)) THEN
-        mode__tmp = cxios_is_defined_interpolate_domain_mode &
-      (interpolate_domain_hdl%daddr)
-        mode_ = mode__tmp
-      ENDIF
-
       IF (PRESENT(order_)) THEN
         order__tmp = cxios_is_defined_interpolate_domain_order &
@@ -283,16 +200,4 @@
       ENDIF
 
-      IF (PRESENT(weight_filename_)) THEN
-        weight_filename__tmp = cxios_is_defined_interpolate_domain_weight_filename &
-      (interpolate_domain_hdl%daddr)
-        weight_filename_ = weight_filename__tmp
-      ENDIF
-
-      IF (PRESENT(write_weight_)) THEN
-        write_weight__tmp = cxios_is_defined_interpolate_domain_write_weight &
-      (interpolate_domain_hdl%daddr)
-        write_weight_ = write_weight__tmp
-      ENDIF
-
   END SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl_)
 
